global.jQuery = require('jquery');
require('bootstrap');

// import '@fortawesome/fontawesome-free/js/fontawesome';
// import '@fortawesome/fontawesome-free/js/solid';
// import '@fortawesome/fontawesome-free/js/regular';

window.moment = require('moment');
window.datetimepicker = require('tempusdominus-bootstrap-4');

$(function () {

    $('#datetimepicker1').datetimepicker({
        dayViewHeaderFormat: 'YYYY年 MMMM',
        tooltips: {
            close: '閉じる',
            selectMonth: '月を選択',
            prevMonth: '前月',
            nextMonth: '次月',
            selectYear: '年を選択',
            prevYear: '前年',
            nextYear: '次年',
            selectTime: '時間を選択',
            selectDate: '日付を選択',
            prevDecade: '前期間',
            nextDecade: '次期間',
            selectDecade: '期間を選択',
            prevCentury: '前世紀',
            nextCentury: '次世紀'
        },
        format: 'YYYY/MM/DD',
        locale: 'ja',
        showClose: true
    });

    $('#datetimepicker2').datetimepicker({
        dayViewHeaderFormat: 'YYYY年 MMMM',
        tooltips: {
            close: '閉じる',
            selectMonth: '月を選択',
            prevMonth: '前月',
            nextMonth: '次月',
            selectYear: '年を選択',
            prevYear: '前年',
            nextYear: '次年',
            selectTime: '時間を選択',
            selectDate: '日付を選択',
            prevDecade: '前期間',
            nextDecade: '次期間',
            selectDecade: '期間を選択',
            prevCentury: '前世紀',
            nextCentury: '次世紀'
        },
        format: 'YYYY/MM/DD',
        locale: 'ja',
        showClose: true
    });

    $('[data-toggle="tooltip"]').tooltip();

   


});

const cbtn = document.querySelectorAll('.category-btn');
const dnav = document.querySelector('.drawer-menu');
const doverlay = document.querySelector('.overlay');

cbtn.forEach(function (target) {
    target.addEventListener('click', () => {
        dnav.classList.toggle('open')
        doverlay.classList.toggle('open')
    });
})



// カテゴリーのドロワーメニュー開閉
function acdMenu() {
    //デフォルトでアコーディオンの中身を非表示
    $(".drawer-menu dd").css("display", "none");
    $(".drawer-menu2 ul").css("display", "none");

    //第2階層のアコーディオン　
    $(".drawer-menu dt").on('click', function() {
        $(".drawer-menu dt").not(this).removeClass("open").next().slideUp("fast");
        $(this).toggleClass("open").next().slideToggle("fast");
    });

    //第3階層のアコーディオン
    $(".drawer-menu2 p").on('click', function() {
        $(".drawer-menu2 p").not(this).removeClass("openAcd").next().slideUp("fast");
        $(this).toggleClass("openAcd").next().slideToggle("fast");
    });
}
$(function() {
    acdMenu();
});


//フォントサイズ変更
function changeFontSize() {
    var x = 16;
    $(".smaller").on('click', function() { x /= 1.1; document.documentElement.style.fontSize = x + 'px'; })
    $(".defaulter").on('click', function() { x = 16; document.documentElement.style.fontSize = x + 'px'; })
    $(".larger").on('click', function() { x *= 1.1; document.documentElement.style.fontSize = x + 'px'; })
}
$(function() {
    changeFontSize();
});
